Skip to content

User Action Providers

Operations Summary

Method Endpoint Description
GET /api/user-action-providers/ List User Action Providers
GET /api/user-action-providers/{id}/ Retrieve

List User Action Providers

1
2
3
4
http \
  GET \
  https://api.example.com/api/user-action-providers/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.user_action_providers import user_action_providers_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = user_action_providers_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: user_action_providers_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { userActionProvidersList } from 'waldur-js-client';

try {
  const response = await userActionProvidersList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type
id integer
app_name string
provider_class string
action_type string
is_enabled boolean
schedule string
last_execution string (date-time)
last_execution_status string

Retrieve

1
2
3
4
http \
  GET \
  https://api.example.com/api/user-action-providers/123/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.user_action_providers import user_action_providers_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = user_action_providers_retrieve.sync(
    id=123,
    client=client
)

print(response)
  1. API Source: user_action_providers_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { userActionProvidersRetrieve } from 'waldur-js-client';

try {
  const response = await userActionProvidersRetrieve({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "id": 123
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required Description
id integer A unique integer value identifying this user action provider.

200 -

Field Type
id integer
app_name string
provider_class string
action_type string
is_enabled boolean
schedule string
last_execution string (date-time)
last_execution_status string